Bug 366431 - unixODBC connection error with postgres when client_min_messages set to debug5, debug4 or debug3
unixODBC connection error with postgres when client_min_messages set to debug...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: unixODBC (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Tom Lane
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 03:03 EST by Prosenjit Biswas
Modified: 2013-07-02 23:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 11:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ODBC.INI file (305 bytes, text/plain)
2007-11-22 08:29 EST, Prosenjit Biswas
no flags Details
odbcinst.ini file (179 bytes, text/plain)
2007-11-22 08:31 EST, Prosenjit Biswas
no flags Details

  None (edit)
Description Prosenjit Biswas 2007-11-05 03:03:15 EST
Description of problem:
In the configuration file of postgresql, postgresql.conf, if the
client_min_messages set to debug5, debug4 or debug3 then unixODBC throws error
message "Failed to SQLTables" while checking it via DataManager or if they check
it via isql they got the error message "[01000][unixODBC]DEBUG:  name: unnamed;
blockState: STARTED; state: INPROGR, xid/subid/cid: 777/1/0, nestlvl: 1,
children:[ISQL]ERROR: Could not SQLTables".

For all other (debug2, debug1, notice, error, log, warning) configuration, it
works fine. 

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.Install unixODBC and postgresql 
2. Configure /etc/odbc.ini and /etc/odbcinst.ini
3. Configure postgresql and set the "client_min_messages set = debug5" in
postgresql.conf file. 
4. Create a Database.
5. Test the connectivity via DataManager or isql.
  
Actual results:
Throws error message for querying sql tables. Failed to SQLTables. 

Expected results:
It should properly access the database and show the tables. 

Additional info:
when there is a activity from the clinet, to debug any error, client can ask for
the debug level 5. For development environments, can be asked by the customer.
Comment 1 Tom Lane 2007-11-05 08:09:12 EST
This report has no more information than you previously gave by email.  What is the unixODBC version?
Which Postgres ODBC driver are you using, and what's the version of that?  What's the full contents of the
two ODBC configuration files?
Comment 2 Prosenjit Biswas 2007-11-22 08:29:30 EST
Created attachment 266851 [details]
ODBC.INI file 

The odbc.ini file has attached.
Comment 3 Prosenjit Biswas 2007-11-22 08:31:52 EST
Created attachment 266861 [details]
odbcinst.ini file 

odbcinst.ini file
Comment 4 Prosenjit Biswas 2007-11-22 08:35:52 EST
(In reply to comment #1)
> This report has no more information than you previously gave by email.  What
is the unixODBC version?
> Which Postgres ODBC driver are you using, and what's the version of that? 
What's the full contents of the
> two ODBC configuration files?

Unix ODBC Version
unixODBC-2.2.11-7.1  -- both 32 bit and 64 bit
unixODBC-2.2.12-1.el5s2  -- both 32 bit and 64 bit

Postgresql ODBC version
postgresql-odbc-08.01.0200-3.1
Comment 6 Tom Lane 2013-03-19 11:34:44 EDT
RHEL-5 has now reached production phase 2, in which only security and other critical bugs will be addressed.  This is neither, so I'm afraid it won't be fixed in RHEL-5.  I believe the issue has been addressed in the newer postgresql-odbc code in RHEL-6.  (Also, RHEL-5 users might be able to migrate to unixODBC64 and postgresql-odbc64, which should resolve the problem as well.)

Note You need to log in before you can comment on or make changes to this bug.